<?php
if($_POST["porta"] == '' || $_POST["senha_dj"] == '') {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Informe os dados de acesso.</div>';

unset($_SESSION["dj_logado"]);
header("Location: /login-dj");
exit;
}

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where porta = '".$_POST["porta"]."'"));

list($login,$senha) = explode(":",$_POST["senha_dj"]);

$valida_dj = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM djs WHERE codigo_stm = '".$dados_stm["codigo"]."' AND login = '".$login."' AND senha = '".$senha."'"));

if($valida_dj == 1) {

$_SESSION["dj_logado"] = $dados_stm["codigo"]."|".$login."|".$senha;
$_SESSION["porta_logada_dj"] = $dados_stm["porta"];

header("Location: /dj");
exit;

} else {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Dados de acesso incorrentos.</div>';

unset($_SESSION["dj_logado"]);
header("Location: /login-dj");
exit;
}
?>